#use appimage

Name:           audacity
Version:        3.5.1
Release:        %mkrel 1
Summary:     Program that lets you manipulate audio waveforms
Group:          Sound
License:        GPLv3+
URL:            https://github.com/audacity/audacity/releases/
Source1:    audacity.desktop
Source2:   audacity.svg
#-----------------------------------------------------------------

%description
Audacity is a program that lets you manipulate digital audio waveforms.
In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

Currently does not work with jack.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/audacity/audacity/releases/download/Audacity-%{version}/audacity-linux-%{version}-x64.AppImage
popd

install -Dm 0755 %{_sourcedir}/audacity-linux-%{version}-x64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.svg

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%changelog
* Thu Apr 25 2024 tex - 3.5.1-1pclos2024
- new version

* Mon Apr 22 2024 tex - 3.5.0-1pclos2024
- new version

* Thu Nov 16 2023 tex - 3.4.2-1pclos2023
- new version

* Wed Nov 08 2023 tex - 3.4.1-1pclos2023
- new version

* Fri Nov 03 2023 tex - 3.4.0-1pclos2023
- new version

* Fri Jun 09 2023 tex - 3.3.3-1pclos2023
- new version

* Sat May 06 2023 tex - 3.3.2-1pclos2023
- new version

* Fri Apr 28 2023 tex - 3.3.1-1pclos2023
- new version

* Mon Apr 24 2023 tex - 3.3.0-1pclos2023
- new version

* Thu Mar 02 2023 tex - 3.2.5-1pclos2023
- new version

* Fri Jan 27 2023 tex - 3.2.4-1pclos2023
- new version

* Wed Dec 28 2022 tex - 3.2.3-1pclos2022
- new version

* Tue Dec 06 2022 tex - 3.2.2-1pclos2022
- new version

* Thu Dec 23 2021 tex - 3.1.3-1pclos2022
- new version

* Wed Nov 17 2021 tex - 3.1.2-1pclos2021
- new version

* Thu Nov 11 2021 tex - 3.1.1-1pclos2021
- new version

* Thu Oct 28 2021 tex - 3.1.0-1pclos2021
- new version

* Tue Aug 24 2021 tex - 3.0.4-1pclos2021
- new version
